Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.junit
Class JUnitTestClassDetecter

    java.lang.Object
      org.objectweb.asm.commons.EmptyVisitor
          org.gradle.api.testing.execution.TestClassVisitor
              org.gradle.external.junit.JUnitTestClassDetecter

    class JUnitTestClassDetecter
    extends TestClassVisitor

author:
  Tom Eyckmans

Field Summary

Fields inherited from class TestClassVisitor
detector

Constructor Summary
`JUnitTestClassDetecter(TestFrameworkDetector detector)`

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.String` | `getSuperClassName()`
`boolean` | `isAbstract()`
`boolean` | `isTest()`
`void` | `setTest(boolean test)`
`void` | `visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)` Visits the header of the class.
`org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)` Visits an annotation of the class.
`void` | `visitInnerClass(java.lang.String name, java.lang.String outerName, java.lang.String innerName, int access)` Visits information about an inner class.
`org.objectweb.asm.MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)` Visits a method of the class.

Methods inherited from class TestClassVisitor
getClassName, getSuperClassName, isAbstract, isTest

Methods inherited from class org.objectweb.asm.commons.EmptyVisitor
visitField, visitMethod, visitCode, visitLabel, visitVarInsn, visitMethodInsn, visitJumpInsn, visitInsn, visitTryCatchBlock, visitMaxs, visitEnd, visitTypeInsn, visitIntInsn, visitLdcInsn, visitFieldInsn, visitSource, visitOuterClass, visitAttribute, visitInnerClass, visitAnnotationDefault, visitParameterAnnotation, visitIincInsn, visitTableSwitchInsn, visitLookupSwitchInsn, visitMultiANewArrayInsn, visitLocalVariable, visitLineNumber, visit, visit, visitAnnotation, visitAnnotation, visitArray, visitEnum, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### JUnitTestClassDetecter

    public JUnitTestClassDetecter(TestFrameworkDetector detector)

Method Detail

### getClassName

    public java.lang.String getClassName()

### getSuperClassName

    public java.lang.String getSuperClassName()

### isAbstract

    public boolean isAbstract()

### isTest

    public boolean isTest()

### setTest

    public void setTest(boolean test)

### visit

    public void visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)

  Visits the header of the class.
  param:
    version the class version.
  param:
    access the class's access flags (see org.objectweb.asm.Opcodes). This parameter also indicates if the class is deprecated.
  param:
    name the internal name of the class (see Type#getInternalName() getInternalName).
  param:
    signature the signature of this class. May be `null` if the class is not a generic one, and does not extend or implement generic classes or interfaces.
  param:
    superName the internal of name of the super class (see Type#getInternalName() getInternalName). For interfaces, the super class is java.lang.Object. May be `null`, but only for the java.lang.Object class.
  param:
    interfaces the internal names of the class's interfaces (see Type#getInternalName() getInternalName). May be `null`.

### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(java.lang.String desc, boolean visible)

  Visits an annotation of the class.
  param:
    desc the class descriptor of the annotation class.
  param:
    visible `true` if the annotation is visible at runtime.
  return:
    a visitor to visit the annotation values, or `null` if this visitor is not interested in visiting this annotation.

### visitInnerClass

    public void visitInnerClass(java.lang.String name, java.lang.String outerName, java.lang.String innerName, int access)

  Visits information about an inner class. This inner class is not necessarily a member of the class being visited.
  param:
    name the internal name of an inner class (see Type#getInternalName() getInternalName).
  param:
    outerName the internal name of the class to which the inner class belongs (see Type#getInternalName() getInternalName). May be `null` for not member classes.
  param:
    innerName the (simple) name of the inner class inside its enclosing class. May be `null` for anonymous inner classes.
  param:
    access the access flags of the inner class as originally declared in the enclosing class.

### visitMethod

    public org.objectweb.asm.MethodVisitor visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)

  Visits a method of the class. This method must return a new org.objectweb.asm.MethodVisitor instance (or `null`) each time it is called, i.e., it should not return a previously returned visitor.
  param:
    access the method's access flags (see org.objectweb.asm.Opcodes). This parameter also indicates if the method is synthetic and/or deprecated.
  param:
    name the method's name.
  param:
    desc the method's descriptor (see Type Type).
  param:
    signature the method's signature. May be `null` if the method parameters, return type and exceptions do not use generic types.
  param:
    exceptions the internal names of the method's exception classes (see Type#getInternalName() getInternalName). May be `null`.
  return:
    an object to visit the byte code of the method, or `null` if this class visitor is not interested in visiting the code of this method.

Groovy Documentation